///////////////////////////////////////////////////////////////////////////////
/// @file GroupBrush.cpp
///
/// @brief Ability to group brushes
///
/// @author Assassin 
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Oct 2002
/// @author Assassin
/// @remarks Creation
///
///////////////////////////////////////////////////////////////////////////////

#include "deBrush_priv.hpp"

WorldObjectClassImp(deGroupBrush);

#pragma todo (implement this stuff!)
#pragma warning (disable : 4100)

static const deBrush::DataQuantity_t s_GroupQuantities = 
{
	deBrush::DataQuantity_t::Quantity_Unmanaged, 
	0,	//CVNum
	0,	//NumFaces
	0	//CoordsPerFace
};

deGroupBrush::deGroupBrush()
:deBrush(Brush_Group, s_GroupQuantities)
{
}

deGroupBrush::~deGroupBrush()
{
}

void deGroupBrush::UpdateBrush()
{
}

bool deGroupBrush::AddBrush(IdeBrush* brush)
{
	return false;
}

bool deGroupBrush::RemoveBrush(IdeBrush* brush)
{
	return false;
}

void deGroupBrush::GetBrushList(deTList <IdeBrush*> &list)
{
	return;
}

deBrush * deGroupBrush::CopyBrush()
{
	return NULL;
}

void deGroupBrush::SpecificRotate(deVec3d Center, deTransformInfo &M)
{
}

void deGroupBrush::SpecificTranslate(deVec3d Delta)
{
}

void deGroupBrush::SpecificScale(deVec3d Center, deDouble Scale)
{
}

deBoolean deGroupBrush::Serialize(IdeFile* FS)
{
	if (!deBrush::Serialize(FS))
		return deFALSE;
	return deTRUE;
}

deBoolean deGroupBrush::DeSerialize(IdeFile* FS, long DataLength)
{
	if (!deBrush::DeSerialize(FS, DataLength))
		return deFALSE;
	return deTRUE;
}

